<bugID>497389<Summary>perf: API to disable/enable various itemChanged notifications.</Summary><Description>In the bookmarks menu and toolbar and in the sidebar, only the title and image for a given item are shown. In the bookmarks manager, some columns are hidden by default and some might be hidden by the user. Despite these representations, they're all updated on visit count, tags, etc.

Together with bug 497387, this is a quite serious performance issue, esp. for the bookmarks menu and history sidebar. Fixing that bug would help here too, but it wouldn't kill the key problem: some data is unnecessarily tracked. We should make it possible for views to tell their result not to track some data. While doing so, the view should reject senseless usages. For example, if the view is sorted by visit count, it shouldn't be possible for it to tell the result "don't update me on visit count". For that, they have bug 497387.</Description></bugID>